> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inventory Stock.



## OpenAPI

````yaml /api-reference/openapi.json get /openapi/v1/Stocks
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Stocks:
    get:
      tags:
        - Stocks
      summary: Get Inventory Stock.
      parameters:
        - name: dqb
          in: query
          description: DynamicQuery
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StockQueryResponseDTODynamicQueryPagedDTO'
            application/json:
              schema:
                $ref: '#/components/schemas/StockQueryResponseDTODynamicQueryPagedDTO'
            text/json:
              schema:
                $ref: '#/components/schemas/StockQueryResponseDTODynamicQueryPagedDTO'
components:
  schemas:
    StockQueryResponseDTODynamicQueryPagedDTO:
      required:
        - count
        - dataSetCount
        - offset
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/StockQueryResponseDTO'
        count:
          type: integer
          format: int32
        offset:
          type: integer
          format: int32
        dataSetCount:
          type: integer
          format: int32
      additionalProperties: false
    StockQueryResponseDTO:
      type: object
      properties:
        id:
          type: string
          format: uuid
        updatedAt:
          type: string
          format: date-time
        sku:
          type: string
        name:
          type: string
        barcodes:
          type: array
          items:
            type: string
        totalStockAmount:
          type: integer
          format: int32
        availableStock:
          type: integer
          format: int32
        reservedStock:
          type: integer
          format: int32
        receivedItemAmount:
          type: integer
          format: int32
        damagedItemAmount:
          type: integer
          format: int32
        expiredAmount:
          type: integer
          format: int32
        lostItemAmount:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````